1. petsc
  2. PETSc
  3. petsc

Commits

BarryFSmith  committed 69ccb71

debug version of downloaded hypre compiled with --with-print-errors to help debugging

  • Participants
  • Parent commits 14d1d5b
  • Branches master

Comments (0)

Files changed (1)

File config/PETSc/packages/hypre.py

View file
  • Ignore whitespace
 
   def setupDependencies(self, framework):
     PETSc.package.NewPackage.setupDependencies(self, framework)
+    self.compilerFlags   = framework.require('config.compilerFlags', self)
     self.blasLapack = framework.require('config.packages.BlasLapack',self)
     self.deps       = [self.mpi,self.blasLapack]
     return
     args.append('--with-fmangle-blas='+mang)
     args.append('--with-fmangle-lapack='+mang)
 
+    if self.compilerFlags.debugging:
+      args.append('--with-print-errors')
+
     args.append('--without-babel')
     args.append('--without-mli')
     args.append('--without-fei')